All Versions
14
Latest Version
Avg Release Cycle
283 days
Latest Release
935 days ago

Changelog History
Page 2

  • v2.2.0

    January 22, 2012
    • ๐Ÿš… Rails 3.2 support
  • v2.1.0

    ๐Ÿ”‹ Features:

    • ๐Ÿšš Deprecations removed

    • ๐Ÿšš Rails 3.1 support added, Rails 3.0 support removed (please use 2.0.X line with 3.0)

  • v2.0.1

    ๐Ÿ› Bug fixes:

    • โšก๏ธ Update the primary key sequence in PostgreSQL tables after seeding data. This ensures that id conflicts do not occur when records are subsequently added to the table.

    • Raise ActiveRecord::RecordNotSaved if any of the saves fail (but they won't fail due to validation since saves are done without validation, so this guards against callbacks failing etc.)

  • v2.0.0

    ๐Ÿ”‹ Features:

    • ๐Ÿš… Depends only on Active Record, not the whole of Rails

    • ๐Ÿ‘€ The Model.seed_many syntax is now supported by Model.seed, and Model.seed_many is deprecated

    • ๐Ÿ‘€ Model.seed supports adding multiple records without an explicit array argument. I.e. the following are equivalent:

      Model.seed([ { :name => "Jon" }, { :name => "Emily" } ])

      Model.seed( { :name => "Jon" }, { :name => "Emily } )

    • ๐Ÿ‘€ A side-effect of the above is another option for single seeds:

      Model.seed(:name => "Jon")

    • ๐Ÿ‘€ The SEED option to rake db:seed_fu is deprecated, and replaced by FILTER which works the same way.

    • โž• Added SeedFu.quiet boolean option, set to true if you don't want any output from Seed Fu.

    • โž• Added SeedFu.fixture_paths. Set to an array of paths to look for seed files in. Defaults to ["db/fixtures"] in general, or ["#{Rails.root}/db/fixtures", "#{Rails.root}/db/fixtures/#{Rails.env}"] when Seed Fu is installed as a Rails plugin.

    • โž• Added SeedFu.seed method which is basically a method equivalent of running rake db:seed_fu (the rake task now just basically called SeedFu.seed)

    • ๐Ÿ‘€ Simplified and changed the SeedFu::Writer API, see docs for details

    ๐Ÿ› Bug fixes:

    • ๐Ÿ›  Fix Rails 3 deprecation warnings and make seed-fu fully compatible with being installed as a gem